using System;
using System.Threading;

namespace DMX2
{
	public abstract class DriverDMX: IDisposable
	{

		public DriverDMX () 
		{

		}

		public abstract Gtk.Window GetDialog();

		protected bool disposed = false;		

		#region IDisposable implementation

		public virtual void Dispose()
		{
			disposed = true;
		}

		void IDisposable.Dispose ()
		{
			if(!disposed)
				Dispose();
		}
		#endregion
	}
}

